Package ghidra.app.merge.tool

# Class ListingMergePanelProvider

java.lang.Object
docking.ComponentProvider
ghidra.framework.plugintool.ComponentProviderAdapter
ghidra.app.merge.tool.ListingMergePanelProvider

All Implemented Interfaces:
  `ActionContextProvider`, `PopupActionProvider`, `HelpDescriptor`

public class ListingMergePanelProvider extends ComponentProviderAdapter implements PopupActionProvider

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `tool`

  ### Fields inherited from class docking.ComponentProvider

  `DEFAULT_WINDOW_GROUP, dockingTool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListingMergePanelProvider(PluginTool tool, Plugin plugin, String owner, ListingMergePanel mergePanel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionContext`
  `getActionContext(MouseEvent event)`
  Returns the context object which corresponds to the area of focus within this provider's component.
  `JComponent`
  `getComponent()`
  Returns the component to be displayed
  `List<DockingActionIf>`
  `getPopupActions(Tool dt, ActionContext context)`
  Provides notification that the popup menu is about to be displayed and allows a set of temporary actions to be included in the popup menu.

  ### Methods inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `getTool`

  ### Methods inherited from class docking.ComponentProvider

  `addLocalAction, addToTool, addToToolbar, adjustFontSize, canBeParent, closeComponent, componentActivated, componentDeactived, componentHidden, componentShown, contextChanged, createContext, createContext, createContext, getContextType, getDefaultWindowPosition, getHelpInfo, getHelpLocation, getHelpObject, getIcon, getInstanceID, getIntraGroupPosition, getMappedName, getMappedOwner, getName, getOwner, getSubTitle, getTabText, getTitle, getWindowGroup, getWindowSubMenuName, initializeInstanceID, isActive, isFocusedProvider, isInTool, isSnapshot, isTransient, isVisible, registerAdjustableFontId, registerProviderNameOwnerChange, removeAllLocalActions, removeFromTool, removeLocalAction, requestFocus, resetFontSize, setDefaultWindowPosition, setHelpLocation, setIcon, setIntraGroupPosition, setKeyBinding, setSubTitle, setTabText, setTitle, setTransient, setVisible, setWindowGroup, setWindowMenuGroup, toFront, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListingMergePanelProvider

    public ListingMergePanelProvider(PluginTool tool, Plugin plugin, String owner, ListingMergePanel mergePanel)

- ## Method Details

  - ### getComponent

    public JComponent getComponent()
    Description copied from class: `ComponentProvider`
    Returns the component to be displayed
    Specified by:
      `getComponent` in class `ComponentProvider`
    Returns:
      the component to be displayed

  - ### getActionContext

    public ActionContext getActionContext(MouseEvent event)
    Description copied from class: `ComponentProvider`
    Returns the context object which corresponds to the area of focus within this provider's component. Null is returned when there is no context.
    Specified by:
      `getActionContext` in interface `ActionContextProvider`
    Overrides:
      `getActionContext` in class `ComponentProvider`
    Parameters:
      `event` - popup event which corresponds to this request. May be null for key-stroke or other non-mouse event.

  - ### getPopupActions

    public List<DockingActionIf> getPopupActions(Tool dt, ActionContext context)
    Description copied from interface: `PopupActionProvider`
    Provides notification that the popup menu is about to be displayed and allows a set of temporary actions to be included in the popup menu. Actions returned will be included in the menu if they have a valid popup menu path and respond true to the `DockingActionIf.isValidContext(ActionContext)` call.
    Specified by:
      `getPopupActions` in interface `PopupActionProvider`
    Parameters:
      `dt` - the tool requesting the actions
      `context` - the ActionContext
    Returns:
      list of temporary popup actions; return null if there are no popup actions